package cn.ey.biz.module.system.convert.i18n;

import java.util.*;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.admin.i18n.vo.I18nCreateReqVO;
import cn.ey.biz.module.system.controller.admin.i18n.vo.I18nExcelVO;
import cn.ey.biz.module.system.controller.admin.i18n.vo.I18nRespVO;
import cn.ey.biz.module.system.controller.admin.i18n.vo.I18nUpdateReqVO;
import cn.ey.biz.module.system.dal.dataobject.i18n.I18nDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 多语言 Convert
 *
 */
@Mapper
public interface I18nConvert {

    I18nConvert INSTANCE = Mappers.getMapper(I18nConvert.class);

    I18nDO convert(I18nCreateReqVO bean);

    I18nDO convert(I18nUpdateReqVO bean);

    I18nRespVO convert(I18nDO bean);

    List<I18nRespVO> convertList(List<I18nDO> list);

    PageResult<I18nRespVO> convertPage(PageResult<I18nRespVO> page);

    List<I18nExcelVO> convertList02(List<I18nDO> list);

}
